Bug 1827890 - ERROR: AMD Processor family 23: mcelog does not support this processor. Please use the edac_mce_amd module instead
Summary: ERROR: AMD Processor family 23: mcelog does not support this processor. Plea...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mcelog
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Prarit Bhargava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-25 07:35 UTC by Paul DeStefano
Modified: 2021-04-01 13:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-01 13:08:33 UTC
Type: Bug


Attachments (Terms of Use)
journal file (5.25 MB, text/plain)
2020-09-03 22:05 UTC, Alexis Jeandet
no flags Details

Description Paul DeStefano 2020-04-25 07:35:55 UTC
Description of problem:
Similar problems have been reported many times, but receives so little attention that I cannot tell if it is supposed to work and something is broken or if it just not supposed to work.

Version-Release number of selected component (if applicable):
mcelog-153-5.fc31.x86_64

How reproducible:
AFAIK, it has never worked and mcelog always reports this error (on AMD CPU).

Steps to Reproduce:
1. mcelog

Actual results:
See summary text

Expected results:
no error

Additional info:
edac_mce_amd module is already loaded.  Also, this issue was reported for family 22, and was closed as CURRENTRELEASE, though no update confirming a fix was included.  So, again, still not sure what's what.  I wouldn't be asking but I'm fighting a recurring hard hang and the last time mcelog was suggested by ABRT.

Comment 1 Chris Murphy 2020-09-03 15:28:20 UTC
What do you get for 'systemctl status mcelog.service' is it ever in a failed state? Or is it just reporting these errors?

Also, Fedora 33 has mcelog-168-2.fc33.x86_64 which is quite a bit newer.

Comment 2 Chris Murphy 2020-09-03 15:40:37 UTC
For reference: https://fedoraproject.org/wiki/Fedora_33_Final_Release_Criteria#System_services
"All system services present after installation with one of the release-blocking package sets must start properly, unless they require hardware which is not present."

If mcelog is incompatible with AMD CPUs then it just needs to quit, it can't be in a failed state.

It might be adequate to test just by booting the live image, but strictly speaking the criterion requires installation. Obviously if this is still a bug we can't block on F31 or F32 so it'd need to be tested with F33. The most recent nightly is ideal to test, but I can vouch for 20200902.
https://kojipkgs.fedoraproject.org/compose/branched/

Comment 3 Alexis Jeandet 2020-09-03 22:05:19 UTC
Created attachment 1713688 [details]
journal file

Comment 4 Alexis Jeandet 2020-09-03 22:06:36 UTC
I have the same issue, here is systemctl status mcelog.service output:

● mcelog.service - Machine Check Exception Logging Daemon
     Loaded: loaded (/usr/lib/systemd/system/mcelog.service; enabled; vendor preset: enabled)
     Active: inactive (dead)
  Condition: start condition failed at Thu 2020-09-03 10:03:37 CEST; 13h ago

Sep 03 10:03:37 pc-solar5.lab-lpp.local systemd[1]: Condition check resulted in Machine Check Exception Logging Daemon being skipped.
Sep 03 10:24:34 pc-solar5.lab-lpp.local systemd[1]: /usr/lib/systemd/system/mcelog.service:8: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
Sep 03 10:24:38 pc-solar5.lab-lpp.local systemd[1]: /usr/lib/systemd/system/mcelog.service:8: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
Sep 03 10:24:48 pc-solar5.lab-lpp.local systemd[1]: /usr/lib/systemd/system/mcelog.service:8: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.

Comment 5 Chris Murphy 2020-09-04 01:01:18 UTC
Thanks Alexis - turns out I wasn't paying close enough attention. So in your case "Condition check resulted in Machine Check Exception Logging Daemon being skipped" and that condition in the service unit file is ConditionPathExists=!/sys/module/edac_mce_amd/initstate and from the journal I don't see that module being loaded; but you can double check with 'lsmod|grep edac' and see if you see 'edac_mce_amd'. IF you do then there's some other issue with it not being detected, and you'll need to file a new bug report. If you don't see it, then this service unit is working correctly.

Comment 6 monkeygold 2020-09-05 04:48:33 UTC
I've also been getting this a lot lately.

here is what I get with systemctl


● mcelog.service - Machine Check Exception Logging Daemon
     Loaded: loaded (/usr/lib/systemd/system/mcelog.service; enabled; vendor preset: enabled)
     Active: inactive (dead)
  Condition: start condition failed at Fri 2020-09-04 23:58:11 EDT; 46min ago
             └─ ConditionPathExists=!/sys/module/edac_mce_amd/initstate was not met

Sep 04 23:58:11 balthasar systemd[1]: Condition check resulted in Machine Check Exception Logging Daemon being skipped.

It just forces a reboot.

Comment 7 Ben Cotton 2020-11-03 16:39:05 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 18:24:59 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Paul DeStefano 2020-11-27 05:20:11 UTC
AFAICT, this situation persists.

● mcelog.service - Machine Check Exception Logging Daemon
     Loaded: loaded (/usr/lib/systemd/system/mcelog.service; enabled; vendor preset: enabled)
     Active: inactive (dead)
  Condition: start condition failed at Tue 2020-11-17 22:46:24 PST; 1 weeks 1 days ago
             └─ ConditionPathExists=!/sys/module/edac_mce_amd/initstate was not met

Nov 17 22:46:24 wrangler systemd[1]: Condition check resulted in Machine Check Exception Logging Daemon being skipped.

mcelog
mcelog: ERROR: AMD Processor family 23: mcelog does not support this processor.  Please use the edac_mce_amd module instead.
CPU is unsupported

Comment 10 Prarit Bhargava 2021-04-01 13:08:33 UTC
This is a warning that mcelog does NOT work on new AMD hardware.  It's there to prevent people from attempting to run it and expecting it to work.  It does work on some older AMD hardware.

P.


Note You need to log in before you can comment on or make changes to this bug.